[namcap,3/3] tests: Update to latest libaplm version

Message ID 20180705202831.3704-4-jelle@vdwaa.nl
State Not Applicable
Headers show
Series
  • [namcap,1/3] tree-wide: remove unused imports
Related show

Commit Message

Jelle van der Waa July 5, 2018, 8:28 p.m. UTC
---
 Namcap/tests/package/test_sodepends.py | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

Comments

Eli Schwartz via arch-projects July 5, 2018, 9:25 p.m. UTC | #1
Duplicate of
https://lists.archlinux.org/pipermail/arch-projects/2018-July/004948.html

And thus equally wrong.

Patch

diff --git a/Namcap/tests/package/test_sodepends.py b/Namcap/tests/package/test_sodepends.py
index 3a3d7b6..4188c35 100644
--- a/Namcap/tests/package/test_sodepends.py
+++ b/Namcap/tests/package/test_sodepends.py
@@ -56,13 +56,13 @@  package() {
 				)
 		self.assertEqual(pkg.detected_deps['pacman'], [
 			('libraries-needed %s %s',
-			 (str(['usr/lib/libalpm.so.10']), str(["usr/bin/main"]))
+			 (str(['usr/lib/libalpm.so.11']), str(["usr/bin/main"]))
 			)]
 		)
 		e, w, i = Namcap.depends.analyze_depends(pkg)
 		self.assertEqual(e, [
 			('dependency-detected-not-included %s (%s)',
-				('pacman', "libraries ['usr/lib/libalpm.so.10'] needed in files ['usr/bin/main']"))
+				('pacman', "libraries ['usr/lib/libalpm.so.11'] needed in files ['usr/bin/main']"))
 		])
 		self.assertEqual(w, [])